# (c) cavaliba.com -  test DATA


# ----------------------------------------------------
# user
# ----------------------------------------------------

- classname: _user
  login: testuser01
  email: testuser01@test.com
  mobile: 0123456789
  displayname: Test User 01
  description: Test User 01
  is_enabled: true
  want_notifications: true
  want_24: true
  want_sms: true
  want_email: true
  external_id: #TestUser01

- classname: _user
  keyname: testuser02
  #login: testuser02
  email: testuser02@test.com
  mobile: 0123456789
  displayname: Test User 02
  description: Test User 02
  is_enabled: true
  want_notifications: true
  want_24: true
  want_sms: true
  want_email: true
  external_id: #TestUser02

- classname: _user
  keyname: testuser03
  #login: testuser03
  email: testuser03@test.com
  mobile: 0123456789
  displayname: Test User 03
  description: Test User 03
  is_enabled: true
  want_notifications: true
  want_24: true
  want_sms: true
  want_email: true
  external_id: #TestUser03


- classname: _user
  keyname: testuser04

- classname: _user
  keyname: testuser05

- classname: _user
  keyname: testuser06

- classname: _user
  keyname: testuser07

- classname: _user
  keyname: testuser08

- classname: _user
  keyname: testuser09

- classname: _user
  keyname: testuser10


# ----------------------------------------------------
# group
# ----------------------------------------------------

- classname: _group
  keyname: testgroup01
  displayname: TestGroup01
  description: TestGroup 01
  subgroups: 
    - testgroup01a
    - testgroup01b
  users: 
      - testuser01

- classname: _group
  keyname: testgroup01a
  displayname: TestGroup01a
  description: TestGroup 01a
  users: 
      - testuser02

- classname: _group
  keyname: testgroup01b
  displayname: TestGroup01b
  description: TestGroup 01b
  users: 
      - testuser03


- classname: _group
  keyname: testgroup02
  displayname: TestGroup02
  description: TestGroup 02

- classname: _group
  keyname: testgroup03
  displayname: TestGroup03
  description: TestGroup 03



# ----------------------------------------------------
# permission
# ----------------------------------------------------

- classname: _permission
  keyname: p_test01
  is_builtin: True
  description: permission 01
  displayname: p_test_01

- classname: _permission
  keyname: p_test02
  is_builtin: False
  description: permission 02
  displayname: p_test_02


# ----------------------------------------------------
# role
# ----------------------------------------------------

- classname: _role
  keyname: role_test_01
  displayname: Test Role 01
  subgroups:
      - testgroup01
  users:
      - testuser04
      - testuser05
  permissions:
      - p_test01

- classname: _role
  keyname: role_test_02
  displayname: Test Role 02
  subgroups:
      - testgroup02
  users:
      - testuser06
      - testuser07
  permissions:
      - p_test02


# ----------------------------------------------------
# app
# ----------------------------------------------------

- classname: app
  keyname: testapp01
  displayname: Test APP 01
  description: Test APP 01
  notify_group:
    - testgroup01

- classname: app
  keyname: testapp02
  displayname: Test APP 02
  notify_group:
    - testgroup02

- classname: app
  keyname: testapp03
  displayname: Test APP 03

- classname: app
  keyname: testapp04
  displayname: Test APP 04

- classname: app
  keyname: testapp05
  displayname: Test APP 05

- classname: app
  keyname: testapp06
  displayname: Test APP 06

- classname: app
  keyname: testapp07
  displayname: Test APP 07

- classname: app
  keyname: testapp08
  displayname: Test APP 08

- classname: app
  keyname: testapp09
  displayname: Test APP 09

- classname: app
  keyname: testapp10
  displayname: Test APP 10


# ----------------------------------------------------
# site
# ----------------------------------------------------

- classname: site
  keyname: testsite01
  displayname: Test Site 01
  notify_group:
    - testgroup01

- classname: site
  keyname: testsite02
  displayname: Test Site 02
  notify_group:
    - testgroup02

- classname: site
  keyname: testsite03

- classname: site
  keyname: testsite04

- classname: site
  keyname: testsite05

- classname: site
  keyname: testsite06

- classname: site
  keyname: testsite07

- classname: site
  keyname: testsite08

- classname: site
  keyname: testsite09

- classname: site
  keyname: testsite10



# ----------------------------------------------------
# sitegroup
# ----------------------------------------------------

- classname: sitegroup
  keyname: testsitegroup01
  displayname: Test SiteGroup 01
  members: 
      - testsite01


- classname: sitegroup
  keyname: testsitegroup02
  displayname: Test SiteGroup 02
  members: 
      - testsite02

- classname: sitegroup
  keyname: testsitegroup03
  displayname: Test SiteGroup 03
  members: 
      - testsite03, testsite04, testsite05





# -----------------------------------------------------
# home
# ----------------------------------------------------



# -----------------------------------------------------
# test4 > test3 > test2 > test1 (full) > test0
# test0
# ----------------------------------------------------


- classname: test0
  keyname: test0-01
  displayname: test0-01
  mystring: data for test0-01

- classname: test0
  keyname: test0-02
  displayname: test0-02
  mystring: data for test0-02

- classname: test0
  keyname: test0-03
  displayname: test0-03
  mystring: data for test0-03


# -----------------------------------------------------
# test1
# ----------------------------------------------------

- classname: test1
  keyname: test1-01
  displayname: test1-01
  mystring: data for test1-01
  myint: 11
  myint_multi: [111, 222]
  myfloat: 27.19
  myfloat_multi: [111.1, 222.2]
  myboolean: true
  mydate: "2024-11-01"
  myipv4: "10.1.2.3"
  my_enumerate_abcde: "A"
  my_enumerate_abcde_multi: A, B, C
  my_enumerate_subfields: A
  my_schema_test0: test0-01
  my_schema_test0_multi: 
    - test0-02
    - test0-03
  my_schema_self: test1-03
  my_user: testuser01
  my_user_multi: 
  - testuser01
  - testuser02
  my_notify_group: testgroup01
  my_notify_group_multi: [testgroup01, testgroup02]

- classname: test1
  keyname: test1-02
  displayname: test1-02
  mystring: data for test1-02
  myint: 11
  myfloat: 27.19
  myboolean: true
  mydate: "2024-11-01"
  myipv4: "10.1.2.3"
  my_enumerate_abcde: "B"
  my_enumerate_abcde_multi: A, B, C
  my_enumerate_subfields: B
  my_schema_test0: test0-01
  my_schema_test0_multi: 
    - test0-02
    - test0-03
  my_schema_self: test1-03

- classname: test1
  keyname: test1-03
  displayname: test1-03
  mystring: data for test1-03
  myint: 11
  myfloat: 27.19
  myboolean: true
  mydate: "2024-11-01"
  myipv4: "10.1.2.3"
  my_enumerate_abcde: "C"
  my_enumerate_abcde_multi: A, B, C
  my_enumerate_subfields: complex
  my_schema_test0: test0-01
  my_schema_test0_multi: 
    - test0-02
    - test0-03
  my_schema_self: test1-03


- classname: test1
  keyname: test1-pipeline
  displayname: test1-pipeline
  description: test1 instance unittest through pipeline"
  mystring: "Exotic chars ÀàÈÊéèêôûäëïöüù€ç"
  myint: "12 345"
  myint_multi: "12 345"
  myfloat: "12 345.67"
  myfloat_multi: "12 345.67"


# ----------------------------------------------------
# test2
# ----------------------------------------------------

- classname: test2
  keyname: test2-01
  displayname: test2-01
  mystring: data for test2-01
  test1: test1-01  

- classname: test2
  keyname: test2-02
  displayname: test2-02
  mystring: data for test2-02
  test1: test1-02

- classname: test2
  keyname: test2-03
  displayname: test2-03
  mystring: data for test2-03
  test1: test1-03


# ----------------------------------------------------
# test3
# ----------------------------------------------------

- classname: test3
  keyname: test3-01
  displayname: test3-01
  mystring: data for test3-01
  test2: test2-01

- classname: test3
  keyname: test3-02
  displayname: test3-02
  mystring: data for test3-02
  test2: test2-02

- classname: test3
  keyname: test3-03
  displayname: test3-03
  mystring: data for test3-03
  test2: test2-03




# ----------------------------------------------------
# test4
# ----------------------------------------------------


- classname: test4
  keyname: test4-01
  displayname: test4-01
  mystring: data for test4-01
  test3: test3-01

- classname: test4
  keyname: test4-02
  displayname: test4-02
  mystring: data for test4-02
  test3: test3-02

- classname: test4
  keyname: test4-03
  displayname: test4-03
  mystring: data for test'-03
  test3: test3-03

